## ocaml-ssl 0.3.1

=== Makefile ===
# $Id: Makefile,v 1.13 2005/06/01 15:38:15 smimram Exp $

PROGNAME = ocaml-ssl
DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
            src/Makefile.in src/OCamlMakefile src/META.in src/*.ml src/*.mli src/*.c \
            examples/configure* examples/Makefile*.in examples/OCamlMakefile examples/Makefile examples/*.ml \
            doc/html

all byte opt install uninstall update:
	make -C src $@

doc:
	mkdir -p doc/html
	ocamldoc -html -stars -d doc/html $(wildcard src/*.mli)

clean:
	-make -C src clean
	-make -C examples clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -rf doc
	rm -f src/META src/Makefile
	-make -C examples distclean

dist: doc
	VERSION="$(shell grep 'AC_INIT' configure.ac)"; \
		VERSION=`echo "$$VERSION" | sed -e 's/AC_INIT([^,]*, \([^,]*\), .*)/\1/'`; \
		mkdir $(PROGNAME)-$$VERSION; \
		cp -r --parents $(DISTFILES) $(PROGNAME)-$$VERSION; \
		tar zcvf $(PROGNAME)-$$VERSION.tar.gz $(PROGNAME)-$$VERSION; \
		rm -rf $(PROGNAME)-$$VERSION

.PHONY: all byte opt doc install uninstall update clean distclean dist

## ocaml-ssl 0.4.0

=== Makefile ===
# $Id: Makefile 2676 2006-08-10 17:11:43Z smimram $

PROGNAME = ocaml-ssl
DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
            src/Makefile.in src/OCamlMakefile src/META.in src/*.ml src/*.mli src/*.c \
            examples/configure* examples/Makefile*.in examples/OCamlMakefile examples/Makefile examples/*.ml \
            doc/html
VERSION := $(shell grep 'AC_INIT' configure.ac| sed -e 's/AC_INIT([^,]*, \([^,]*\), .*)/\1/')

all byte opt install uninstall update:
	make -C src $@

doc:
	mkdir -p doc/html
	ocamldoc -html -stars -d doc/html $(wildcard src/*.mli)

clean:
	-make -C src clean
	-make -C examples clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -rf doc
	rm -f src/META src/Makefile
	-make -C examples distclean

dist: doc
	mkdir $(PROGNAME)-$(VERSION)
	cp -r --parents $(DISTFILES) $(PROGNAME)-$(VERSION)
	tar zcvf $(PROGNAME)-$(VERSION).tar.gz $(PROGNAME)-$(VERSION)
	rm -rf $(PROGNAME)-$(VERSION)

.PHONY: all byte opt doc install uninstall update clean distclean dist

## ocaml-ssl 0.4.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 2676 2006-08-10 17:11:43Z smimram $
+# $Id: Makefile 2782 2006-12-28 13:45:43Z smimram $
 
 PROGNAME = ocaml-ssl
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
@@ -8,21 +8,21 @@
 VERSION := $(shell grep 'AC_INIT' configure.ac| sed -e 's/AC_INIT([^,]*, \([^,]*\), .*)/\1/')
 
 all byte opt install uninstall update:
-	make -C src $@
+	$(MAKE) -C src $@
 
 doc:
 	mkdir -p doc/html
 	ocamldoc -html -stars -d doc/html $(wildcard src/*.mli)
 
 clean:
-	-make -C src clean
-	-make -C examples clean
+	-$(MAKE) -C src clean
+	-$(MAKE) -C examples clean
 
 distclean: clean
 	rm -rf autom4te.cache config.log config.status
 	rm -rf doc
 	rm -f src/META src/Makefile
-	-make -C examples distclean
+	-$(MAKE) -C examples distclean
 
 dist: doc
 	mkdir $(PROGNAME)-$(VERSION)

=== examples/Makefile ===
all: stelnet stalkd

clean:
	make -f Makefile.stelnet clean
	make -f Makefile.stalkd clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -f Makefile.stelnet Makefile.stalkd

stelnet:
	make -f Makefile.stelnet

stalkd:
	make -f Makefile.stalkd

.PHONY: stelnet stalkd

## ocaml-ssl 0.4.5

=== debian/changelog ===
ocaml-ssl (0.4.5-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:28:14 -0600

ocaml-ssl (0.4.5-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 22:44:38 +0200

ocaml-ssl (0.4.4-3) unstable; urgency=low

  * Drop SSLv2 constructor from Ssl interface (follows fix to #622144)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 11:14:38 +0200

ocaml-ssl (0.4.4-2) unstable; urgency=low

  * Drop SSLv2 support (Closes: #622144)
  * Switch source package format to 3.0 (quilt)
  * Remove Stefano from Uploaders
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Apr 2011 23:17:43 +0200

ocaml-ssl (0.4.4-1) unstable; urgency=low

  [ Samuel Mimram ]
  * New upstream release.
  * Removed makefile patch, integrated upstream.
  * Switch to dh.
  * Remove dpatch support.

  [ Stéphane Glondu ]
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Mar 2010 23:39:15 +0100

ocaml-ssl (0.4.3-3) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Save doc/ directory before cleaning it

  [ Stéphane Glondu ]
  * Switch packaging to dh-ocaml 0.9
  * Add README.source
  * Update copyright file
  * debian/control:
    - move to section ocaml
    - update my e-mail address
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Oct 2009 15:40:37 +0200

ocaml-ssl (0.4.3-2) unstable; urgency=low

  * Added makefile.dpatch in order not to link with unix and not to use
    deprecated -custom.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 18:00:33 +0100

ocaml-ssl (0.4.3-1) unstable; urgency=low

  * New Upstream Version.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 10:43:05 +0100

ocaml-ssl (0.4.2-5) experimental; urgency=low

  * Rebuild against OCaml 3.11
  * debian/control
    - clean up obsolete build-dep on dpkg-dev
    - bump Standards-Version to 3.8.0 (no changes needed)
    - bumpd ocaml build-dep to ensure proper rebuild on experimental
    - add build-dep on dh-ocaml and cdbs
    - add missing ${misc:Depends} dependencies
  * debian/rules: switch packaging to CDBS
  * bump debhelper requirements to 7 (change build-dep and compat
    accordingly)
  * add myself as an Uploader

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Feb 2009 21:20:11 +0100

ocaml-ssl (0.4.2-4) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Stephane Glondu ]
  * Switching packaging to git
  * Fix GC-unsafe operations in C stubs (Closes: #500591)
  * Set Maintainer to d-o-m, and Uploaders to Sam and me

 -- Stephane Glondu <steph@glondu.net>  Mon, 29 Sep 2008 19:44:18 +0200

ocaml-ssl (0.4.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 00:44:10 +0200

ocaml-ssl (0.4.2-2) experimental; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Fri, 13 Jul 2007 10:54:57 +0200

ocaml-ssl (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sun, 08 Apr 2007 19:02:54 +0200

ocaml-ssl (0.4.1-1) experimental; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Mar 2007 18:30:03 +0100

ocaml-ssl (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Made the package binNMU-safe.

 -- Samuel Mimram <smimram@debian.org>  Mon, 20 Nov 2006 20:55:08 +0100

ocaml-ssl (0.3.1-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 16:45:41 +0000

ocaml-ssl (0.3.1-4) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sat,  7 Jan 2006 18:25:07 +0100

ocaml-ssl (0.3.1-3) unstable; urgency=low

  * Rebuild with findlib > 1.1-3 (1.1-3 was buggy), closes: #342291.
  * Properly handling OCamlABI stuff.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Fri,  9 Dec 2005 00:05:30 +0100

ocaml-ssl (0.3.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.09.0.
  * No longer hardcoding OCaml's ABI in debian/* files.

 -- Samuel Mimram <smimram@debian.org>  Sun, 13 Nov 2005 20:24:13 +0100

ocaml-ssl (0.3.1-1) unstable; urgency=low

  * Initial release, closes: #319287.

 -- Samuel Mimram <smimram@debian.org>  Thu, 21 Jul 2005 01:03:40 +0200

=== debian/control ===
Source: ocaml-ssl
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libssl-dev (>= 0.9.6),
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/savonet/files/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-ssl.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-ssl.git

Package: libssl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for OpenSSL (runtime)
 OCaml library for communicating through SSL/TLS encrypted connections
 using the OpenSSL library.
 .
 This package contains only the shared runtime stub libraries.

Package: libssl-ocaml-dev
Architecture: any
Depends:
 libssl-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for OpenSSL
 OCaml library for communicating through SSL/TLS encrypted connections
 using the OpenSSL library.
 .
 This package contains all the development stuff you need to use
 the ssl OCaml library in your programs.

## ocaml-ssl 0.4.6

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
-# $Id: Makefile 2782 2006-12-28 13:45:43Z smimram $
-
 PROGNAME = ocaml-ssl
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
             src/Makefile.in src/OCamlMakefile src/META.in src/*.ml src/*.mli src/*.c \
             examples/configure* examples/Makefile*.in examples/OCamlMakefile examples/Makefile examples/*.ml \
             doc/html
-VERSION := $(shell grep 'AC_INIT' configure.ac| sed -e 's/AC_INIT([^,]*, \([^,]*\), .*)/\1/')
+VERSION := $(shell grep 'AC_INIT' configure.ac| sed -e 's/AC_INIT([^,]*,\[\([^,]*\)\],.*)/\1/')
 
 all byte opt install uninstall update:
 	$(MAKE) -C src $@
@@ -26,7 +24,7 @@
 
 dist: doc
 	mkdir $(PROGNAME)-$(VERSION)
-	cp -r --parents $(DISTFILES) $(PROGNAME)-$(VERSION)
+	cp -R -L --parents $(DISTFILES) $(PROGNAME)-$(VERSION)
 	tar zcvf $(PROGNAME)-$(VERSION).tar.gz $(PROGNAME)-$(VERSION)
 	rm -rf $(PROGNAME)-$(VERSION)

=== debian/changelog ===
ocaml-ssl (0.4.6-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:28:14 +0100

ocaml-ssl (0.4.6-2) experimental; urgency=low

  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 21:41:08 +0200

ocaml-ssl (0.4.6-1) unstable; urgency=low

  * New upstream release
    - SSLv2 support dropped upstream, no more patches

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 15:30:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends:
  debhelper (>= 7.0.50~),
  libssl-dev (>= 0.9.6),
- ocaml-nox (>= 3.11.1-3~),
- ocaml-findlib (>= 1.2.5),
+ ocaml-nox (>= 4),
+ ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9)
 Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/savonet/files/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE)
	$(MAKE) doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

## ocaml-ssl 0.4.7

=== debian/changelog ===
ocaml-ssl (0.4.7-1) unstable; urgency=medium

  * New upstream release
  * Put debian/copyright in format 1.0
  * Bump Standards-Version to 3.9.5
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Aug 2014 16:26:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/savonet/files/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-ssl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-ssl.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-ssl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-ssl.git
 
 Package: libssl-ocaml
 Architecture: any

## ocaml-ssl 0.5.2

=== examples/Makefile ===
all: stelnet stalkd

clean:
	$(MAKE) -f Makefile.stelnet clean
	$(MAKE) -f Makefile.stalkd clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -f Makefile.stelnet Makefile.stalkd

stelnet:
	$(MAKE) -f Makefile.stelnet

stalkd:
	$(MAKE) -f Makefile.stalkd

.PHONY: stelnet stalkd

=== debian/changelog ===
ocaml-ssl (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * Use accessor functions for X509_STORE_CTX (Closes: #828462).
    - add 0001-Use-accessor-functions-for-X509_STORE_CTX.patch
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Homepage field.
  * Update Vcs-* fields to use secure and canonical URIs.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Nov 2016 00:49:11 +0100

ocaml-ssl (0.5.2-1) unstable; urgency=medium

  * New upstream release
    - Disables SSLv3 related functions when OPENSSL_NO_SSL3 is defined.
  * Remove patch 0001-Remove-SSLv3-support.patch, fixed upstream.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 23:56:57 +0100

ocaml-ssl (0.5.1-2) unstable; urgency=medium

  * Remove SSLv3 support
  * Fix license short name in debian/copyright
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Nov 2015 10:02:08 +0100

ocaml-ssl (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 11:23:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libssl-dev (>= 0.9.6),
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.5
-Homepage: http://sourceforge.net/projects/savonet/files/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-ssl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-ssl.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/savonet/ocaml-ssl
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ssl.git/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ssl.git/
 
 Package: libssl-ocaml
 Architecture: any

=== debian/watch ===
version=3

http://sf.net/savonet/ocaml-ssl-([0-9\.]*)\.tar\.gz

## ocaml-ssl 0.5.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROGNAME = ocaml-ssl
-DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
+DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README.md \
             src/Makefile.in src/OCamlMakefile src/META.in src/*.ml src/*.mli src/*.c \
             examples/configure* examples/Makefile*.in examples/OCamlMakefile examples/Makefile examples/*.ml \
             doc/html

=== debian/changelog ===
ocaml-ssl (0.5.3-1build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:24 +0000

ocaml-ssl (0.5.3-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:05:03 +0200

ocaml-ssl (0.5.3-1) unstable; urgency=medium

  * New upstream release
    - remove all patches (applied upstream)
  * Update watch to look at github
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jul 2017 21:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ocaml-ssl
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libssl-dev (>= 0.9.6),
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-ssl/releases .*/ocaml-ssl-(.*)\.tar\.gz

## ocaml-ssl 0.5.5

=== debian/changelog ===
ocaml-ssl (0.5.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.1.4, no changes required
  * Update Vcs-* fields

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 13:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ocaml-ssl
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
@@ -12,10 +11,10 @@
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/savonet/ocaml-ssl
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ssl.git/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ssl.git/
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ssl.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ssl
 
 Package: libssl-ocaml
 Architecture: any

## ocaml-ssl 0.5.9

=== Makefile ===
.PHONY: build clean test install uninstall clean all-supported-ocaml-versions

build:
	dune build @default

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

all-supported-ocaml-versions:
	dune build @default @runtest --workspace dune-workspace.dev

install-dev:
	opam install -y opam-query opam-publish tls

VERSION      := $$(opam query --version)
NAME_VERSION := $$(opam query --name-version)
ARCHIVE      := $$(opam query --archive)

release:
	git tag -a $(VERSION) -m "Version $(VERSION)."
	git push origin $(VERSION)
	opam publish prepare $(NAME_VERSION) $(ARCHIVE)
	cp descr $(NAME_VERSION)
	grep -Ev '^(name|version):' opam >$(NAME_VERSION)/opam
	opam publish submit $(NAME_VERSION)
	rm -rf $(NAME_VERSION)

=== debian/changelog ===
ocaml-ssl (0.5.9-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:33:16 +0000

ocaml-ssl (0.5.9-1) unstable; urgency=medium

  [ Kyle Robbertze ]
  * Fix watch file url
  * New upstream version 0.5.9
  * Add new uploader
  * Add new build-dep on dune build system
  * Use debhelper-compat
  * Update build rules to use new upstream build system (dune)
  * Bump Standards-Version to 4.4.0 (no change)

  [ Stephane Glondu ]
  * Remove Samuel from Uploaders

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 05 Aug 2019 10:44:35 +0200

=== debian/control ===
Source: ocaml-ssl
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>,
           Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper (>= 12),
               debhelper-compat (=12),
               dh-ocaml (>= 0.9),
               dune,
               libdune-ocaml-dev,
               libssl-dev (>= 0.9.6),
               ocaml-findlib (>= 1.4),
               ocaml-nox (>= 4)
Standards-Version: 4.4.0
Homepage: https://github.com/savonet/ocaml-ssl
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ssl.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ssl

Package: libssl-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for OpenSSL (runtime)
 OCaml library for communicating through SSL/TLS encrypted connections
 using the OpenSSL library.
 .
 This package contains only the shared runtime stub libraries.

Package: libssl-ocaml-dev
Architecture: any
Depends: libssl-dev, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for OpenSSL
 OCaml library for communicating through SSL/TLS encrypted connections
 using the OpenSSL library.
 .
 This package contains all the development stuff you need to use
 the ssl OCaml library in your programs.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ocaml-ssl-$1\.tar\.gz/ \
    https://github.com/savonet/ocaml-ssl/tags .*/v?(\d\S+)\.tar\.gz

## ocaml-ssl 0.5.10

=== debian/changelog ===
ocaml-ssl (0.5.10-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:28 +0100

ocaml-ssl (0.5.10-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 10:31:30 +0100

ocaml-ssl (0.5.10-1) unstable; urgency=low

  * New upstream version 0.5.10
  * Bump standards-version to 4.5.1 (no change)
  * Install upstream changelog

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 15 Aug 2021 08:53:03 +0200

ocaml-ssl (0.5.9-2) unstable; urgency=medium

  * Build-depend on ocaml-dune
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Sep 2020 10:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: ocaml-ssl
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (=12),
-               dh-ocaml (>= 0.9),
-               dune,
+Build-Depends: debhelper-compat (= 13),
+               dh-ocaml,
+               ocaml-dune,
                libdune-ocaml-dev,
                libssl-dev (>= 0.9.6),
                ocaml-findlib (>= 1.4),
                ocaml-nox (>= 4)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-ssl
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ssl.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ssl

## ocaml-ssl 0.5.13

=== debian/changelog ===
ocaml-ssl (0.5.13-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Kyle Robbertze ]
  * d/watch: use consistent configuration file
  * New upstream version 0.5.13
  * wrap-and-sort files

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 16:36:15 +0200

ocaml-ssl (0.5.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.

  [ Kyle Robbertze ]
  * New upstream version 0.5.12
  * Bump Standards-Version to 4.6.1 (no change)
  * Refresh d/patches

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 27 Sep 2022 10:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
            Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-ocaml,
+               libalcotest-ocaml-dev,
+               libdune-ocaml-dev,
+               libssl-dev,
                ocaml-dune,
-               libdune-ocaml-dev,
-               libssl-dev (>= 0.9.6),
-               ocaml-findlib (>= 1.4),
-               ocaml-nox (>= 4)
-Standards-Version: 4.5.1
+               ocaml-findlib,
+               ocaml-nox
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-ssl
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ssl.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	dune install --verbose --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR)

## ocaml-ssl 0.7.0

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,11 @@
 build:
 	dune build @default
 
+coverage:
+	bisect-ppx-report html
+
 test:
-	dune runtest
+	dune runtest --instrument-with bisect_ppx --force
 
 install:
 	dune install

=== debian/changelog ===
ocaml-ssl (0.7.0-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:39:06 +0200

ocaml-ssl (0.7.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:09:18 +0100

ocaml-ssl (0.7.0-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:44:10 +0200

ocaml-ssl (0.7.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:18:36 +0000

ocaml-ssl (0.7.0-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:21:51 +0000

ocaml-ssl (0.7.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 16:05:52 +0100

ocaml-ssl (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 13:28:05 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Needs bisect_ppx

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1.tar.gz%" \
    https://github.com/savonet/ocaml-ssl/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
